Bug 1301271 - ksmservice couldn't start
ksmservice couldn't start
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: plasma-desktop (Show other bugs)
23
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-23 06:41 EST by Sylvia Sánchez
Modified: 2016-12-20 13:06 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:06:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sylvia Sánchez 2016-01-23 06:41:39 EST
Description of problem:
I can't login and if I can login Plasma fails freezing everything but the menu. The only error message I get is  "ksmservice couldn't start"  or  "ksmservice failed to start".

Version-Release number of selected component (if applicable):
Last version (updated today)

How reproducible:
Using Plasma 5.

Steps to Reproduce:
1.Login in KDE
2.Trying to use it.
3.

Actual results:
Desktop gets frozen and/or I'm unable to login.

Expected results:
Desktop working normally. Session starting as usual.

Additional info:
I was using Kontact with Kmail retrieving email and Opera.  Kmail failed to retrieve and then everything begun. But I've got previous desktop freezes with other apps.
Comment 1 Rex Dieter 2016-01-23 14:13:01 EST
If ksmserver couldn't start, there is something low-level fundamentally wrong going on.

Easy things to check:
* did you install anything new recently (since things were working normally)?
* does your disk have ample free space (ie, not full)?
* anything noteworthy logged in ~/.xsession-errors ?
Comment 2 Sylvia Sánchez 2016-01-24 07:01:14 EST
Here are my answers to your questions:

* No I didn't install anything new, only the usual updates.
* My hard drive has 283GB of free space in  /home  and 184GB in  /  I guess that's enough free space. 
* Troubles started when Kmail got stuck retrieving emails.  I stopped it but Akonadi kept working even when I logged in Cinnamon.  I deleted the folders  ~.kde, ~local/share/akonadi  and a hidden folder with the half downloaded mails in ~local/share 


Xsession errors shows this:
cinnamon-session[1171]: WARNING: t+0.32897s: Could not parse desktop file /etc/xdg/autostart/korgac.desktop: Invalid key name: X-KDE-autostart-condition[$e]
cinnamon-session[1171]: GLib-GObject-CRITICAL: t+0.32917s: object CsmAutostartApp 0x5608a9f42f70 finalized while still in-construction
cinnamon-session[1171]: GLib-GObject-CRITICAL: t+0.32921s: Custom constructor for class CsmAutostartApp returned NULL (which is invalid). Please use GInitable instead.
cinnamon-session[1171]: WARNING: t+0.32923s: could not read /etc/xdg/autostart/korgac.desktop
cinnamon-session[1171]: WARNING: t+0.45504s: Could not parse desktop file /etc/xdg/autostart/kgpg.desktop: Invalid key name: X-KDE-autostart-condition[$e]
cinnamon-session[1171]: GLib-GObject-CRITICAL: t+0.45561s: object CsmAutostartApp 0x5608a9f62ae0 finalized while still in-construction
cinnamon-session[1171]: GLib-GObject-CRITICAL: t+0.45608s: Custom constructor for class CsmAutostartApp returned NULL (which is invalid). Please use GInitable instead.
cinnamon-session[1171]: WARNING: t+0.45651s: could not read /etc/xdg/autostart/kgpg.desktop
** Message: couldn't access control socket: /run/user/1000/keyring/control: No such file or directory
** Message: couldn't access control socket: /run/user/1000/keyring/control: No such file or directory
** Message: couldn't access control socket: /run/user/1000/keyring/control: No such file or directory
SSH_AUTH_SOCK=/run/user/1000/keyring/ssh
=== xinerama setup Configuration ===
  Clone: false
  Output: Laptop attached to LVDS1
     status: on
     width: 1366
     height: 768
     rate: 60
     primary: true
     position: 0 0
  Output: (null) attached to DP1
     status: off
     width: -1
     height: -1
     rate: -1
     primary: false
     position: -1 -1
  Output: (null) attached to TV1
     status: off
     width: -1
     height: -1
     rate: -1
     primary: false
     position: -1 -1
  Output: (null) attached to VGA1
     status: off
     width: -1
     height: -1
     rate: -1
     primary: false
     position: -1 -1
  Output: (null) attached to VIRTUAL1
     status: off
     width: -1
     height: -1
     rate: -1
     primary: false
     position: -1 -1
=== Applying Configuration Configuration ===
  Clone: false
  Output: Laptop attached to LVDS1
     status: on
     width: 1366
     height: 768
     rate: 60
     primary: true
     position: 0 0
  Output: (null) attached to DP1
     status: off
     width: -1
     height: -1
     rate: -1
     primary: false
     position: -1 -1
  Output: (null) attached to TV1
     status: off
     width: -1
     height: -1
     rate: -1
     primary: false
     position: -1 -1
  Output: (null) attached to VGA1
     status: off
     width: -1
     height: -1
     rate: -1
     primary: false
     position: -1 -1
  Output: (null) attached to VIRTUAL1
     status: off
     width: -1
     height: -1
     rate: -1
     primary: false
     position: -1 -1
cinnamon-session[1171]: Gtk-WARNING: t+5.01652s: Theme parsing error: gtk-widgets.css:64:17: Theming engine 'unico' not found
cinnamon-session[1171]: Gtk-WARNING: t+5.12090s: Theme parsing error: gtk-widgets.css:64:17: Theming engine 'unico' not found

(cinnamon-settings-daemon:1374): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:64:17: Theming engine 'unico' not found

(cinnamon-launcher:1476): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:64:17: Theming engine 'unico' not found

(cinnamon:1505): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:64:17: Theming engine 'unico' not found

(canberra-gtk-play:1513): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:64:17: Theming engine 'unico' not found
Failed to play sound: File or data not found

(nm-applet:1524): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:64:17: Theming engine 'unico' not found

(abrt:1583): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:64:17: Theming engine 'unico' not found

(polkit-gnome-authentication-agent-1:1635): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:64:17: Theming engine 'unico' not found
Window manager warning: Log level 16: Theme parsing error: gtk-widgets.css:64:17: Theming engine 'unico' not found

(cinnamon-killer-daemon:1634): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:64:17: Theming engine 'unico' not found

(nemo:1620): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:64:17: Theming engine 'unico' not found
Initializing nemo-image-converter extension

(evolution-alarm-notify:1514): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:64:17: Theming engine 'unico' not found

** (nemo:1620): WARNING **: Can not determine workarea, guessing at layout
Cjs-Message: JS LOG: About to start Cinnamon
(uint32 1,)
St-Message: cogl npot texture sizes SUPPORTED
Cjs-Message: JS LOG: Cinnamon started at Sun Jan 24 2016 08:32:19 GMT-0300 (UYT)

(cinnamon:1505): St-WARNING **: percentage lengths not currently supported
Cjs-Message: JS WARNING: [/home/albatros/.local/share/cinnamon/applets/timer-notifications@markbokil.com/applet.js 379]: AppOptions is read-only
Cjs-Message: JS WARNING: [/home/albatros/.local/share/cinnamon/applets/timer-notifications@markbokil.com/applet.js 380]: AppOptions is read-only
Cjs-Message: JS WARNING: [/home/albatros/.local/share/cinnamon/applets/timer-notifications@markbokil.com/applet.js 380]: useless expression
Cjs-Message: JS WARNING: [/home/albatros/.local/share/cinnamon/applets/timer-notifications@markbokil.com/applet.js 381]: AppOptions is read-only
failed to create drawable
Cjs-Message: JS LOG: Invalid network device type, is 14

(parcellite:1526): Gdk-CRITICAL **: IA__gdk_window_thaw_toplevel_updates_libgtk_only: assertion 'private->update_and_descendants_freeze_count > 0' failed

(cinnamon:1505): Cjs-WARNING **: JS ERROR: Error: Argument 'data' (type utf8) may not be null
soupQueue@/home/albatros/.local/share/cinnamon/applets/weather@mockturtl/applet.js:366


(cinnamon-screensaver:1833): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:64:17: Theming engine 'unico' not found

(tracker-extract:1577): Tracker-WARNING **: Task 0, error: Unable to insert multiple values for subject `urn:uuid:b7aeafaa-9330-c2c7-56f3-7b200e6c127a' and single valued property `dc:description' (old_value: 'Would Iron Maiden ever play with an orchestra? "Just doing orchestral backing music to a rock track is utterly pointless. It's just kind of musical narcissism."', new value: 'Would Iron Maiden ever play with an orchestra? "Just doing orchestral backing music to a rock track is utterly pointless. It's just kind of musical narcissism." Boston's Classic Rock')
Sparql was:
INSERT {
GRAPH <urn:uuid:472ed0cc-40ff-4e37-9c0c-062d78656540> {
<urn:uuid:b7aeafaa-9330-c2c7-56f3-7b200e6c127a> nie:dataSource <http://www.tracker-project.org/ontologies/tracker#extractor-data-source> .
<urn:uuid:b7aeafaa-9330-c2c7-56f3-7b200e6c127a> a nfo:HtmlDocument ;
	 nie:keyword "vibNews" ;
	 nie:description "Would Iron Maiden ever play with an orchestra? \"Just doing orchestral backing music to a rock track is utterly pointless. It's just kind of musical narcissism.\"" ;
	 nie:keyword "music" ;
	 nie:keyword "iron maiden" ;
	 nie:description "Would Iron Maiden ever play with an orchestra? \"Just doing orchestral backing music to a rock track is utterly pointless. It's just kind of musical narcissism.\" Boston's Classic Rock" ;
	 nie:title "Bruce Dickinson Talks Iron Maiden’s 18 Minute Epic ‘Empire of the Clouds’ « 100.7 WZLX" ;
	 


(tracker-extract:1577): Tracker-WARNING **: Task 1, error: Subject `urn:uuid:86bd3546-59cd-4c66-f8dc-1229e5dbff65' is not in domain `nco:Contact' of property `nco:representative'
Sparql was:
INSERT {
GRAPH <urn:uuid:472ed0cc-40ff-4e37-9c0c-062d78656540> {
<urn:contact:%3Cpicasastamp%2F%3E%0A> a nco:Contact ;
	 nco:fullname "<picasastamp/>\n" .
}
}
INSERT {
GRAPH <urn:uuid:472ed0cc-40ff-4e37-9c0c-062d78656540> {
<urn:contact:Picasa%202.0> a nco:Contact ;
	 nco:fullname "Picasa 2.0" .
}
}

INSERT {
GRAPH <urn:uuid:472ed0cc-40ff-4e37-9c0c-062d78656540> {
<urn:uuid:86bd3546-59cd-4c66-f8dc-1229e5dbff65> nie:dataSource <http://www.tracker-project.org/ontologies/tracker#extractor-data-source> .
<urn:uuid:86bd3546-59cd-4c66-f8dc-1229e5dbff65> a nfo:Image ;
	 a nmm:Photo ;
	 nfo:width 350 ;
	 nfo:height 346 ;
	 nmm:dlnaProfile "JPEG_SM" ;
	 nmm:dlnaMime "image/jpeg" ;
	 nco:representative <urn:contact:%3Cpicasastamp%2F%3E%0A> ;
	 nco:creator <urn:contact:Picasa%202.0> .
}
}



(tracker-extract:1577): Tracker-WARNING **: Task 2, error: Unable to insert multiple values for subject `urn:uuid:8efcd2f2-f154-0f78-5d4e-0fcfbd304ad7' and single valued property `dc:description' (old_value: '
ESA’s XMM-Newton has found a wind of high-speed gas streaming from the centre of a bright spiral galaxy like our own that may be reducing its ability to produce new stars.
', new value: 'space')
Sparql was:
INSERT {
GRAPH <urn:uuid:472ed0cc-40ff-4e37-9c0c-062d78656540> {
<urn:uuid:8efcd2f2-f154-0f78-5d4e-0fcfbd304ad7> nie:dataSource <http://www.tracker-project.org/ontologies/tracker#extractor-data-source> .
<urn:uuid:8efcd2f2-f154-0f78-5d4e-0fcfbd304ad7> a nfo:HtmlDocument ;
	 nie:description "\nESA’s XMM-Newton has found a wind of high-speed gas streaming from the centre of a bright spiral galaxy like our own that may be reducing its ability to produce new stars.\n" ;
	 nco:creator [ a nco:Contact ;
	 nco:fullname "esa"] ;
	 nie:description "space" ;
	 nie:keyword "Space science" ;
	 nie:keyword "spacecraft" ;
	 nie:keyword "spaceflight" ;
	 nie:keyword "space exploration" ;
	 nie:keyword "missions" ;
	 nie:keyword "satellites" ;
	 nie:keyword "launchers" ;
	 nie:keyword "solar system" ;
	 nie:keyword "Universe" ;
	 nie:keyword "remote sensing" ;
	 nie:keyword "space news" ;
	 nie:keyword "ESA" ;
	 nie:keyword "European" ;
	 nie:keyword "Earth" ;
	 nie:keyword "planets" ;
	 nie:keyword "stars" ;
	 nie:keyword "galaxies" ;
	 nie:keyword "Sun" ;
	 nie:keyword "Moon" ;
	 nie:keyword "astronomy" ;
	 nie:keyword "astrophysics" ;
	 nie:keyword "solar radiation" ;
	 nie:keyword "solar wind" ;
	 nie:keyword "Mars" ;
	 nie:keyword "Jupiter" ;
	 nie:keyword "Venus" ;
	 nie:keyword "Saturn" ;
	 nie:keyword "Neptune" ;
	 nie:keyword "Pluto" ;
	 nie:keyword "Uranus" ;
	 nie:keyword "Herschel" ;
	 nie:keyword "Planck" ;
	 nie:keyword "Eddington" ;
	 nie:keyword "Darwin" ;
	 nie:keyword "SMART" ;
	 nie:keyword "Beagle" ;
	 nie:keyword "Hubble" ;
	 nie:keyword "telescopes" ;
	 nie:keyword "comets" ;
	 nie:keyword "Mercury" ;
	 nie:keyword "observation" ;
	 nie:keyword "LISA" ;
	 nie:keyword "infrared" ;
	 nie:keyword "ultraviolet" ;
	 nie:keyword "x-ray" ;
	 nie:keyword "gamma ray" ;
	 nie:keyword "cosmology" ;
	 nie:keyword "interplanetary" ;
	 nie:keyword "aurora" ;
	 nie:keyword "Cluster" ;
	 nie:keyword "magnetosphere" ;
	 nie:keyword "space weather" ;
	 nie:keyword "life" ;
	 nie:keyword "exoplanets" ;
	 nie:keyword "astrobiology" ;
	 nie:keyword "Huygens" ;
	 nie:keyword "Cassini" ;
	 nie:keyword "BepiColombo" ;
	 nie:keyword "Titan" ;
	 nie:keyword "asteroids" ;
	 nie:keyword "lunar" ;
	 nie:keyword "Rosetta" ;
	 nie:keyword "Giotto" ;
	 nie:keyword "lander" ;
	 nie:keyword "Hipparcos" ;
	 nie:keyword "star-mapping" ;
	 nie:keyword "black holes" ;
	 nie:keyword "atmosphere" ;
	 nie:keyword "nebula" ;
	 nie:keyword "Newton" ;
	 nie:keyword "Integral" ;
	 nie:keyword "XMM" ;
	 nie:keyword "XEUS" ;
	 nie:keyword "Milky Way" ;
	 nie:keyword "hotspots" ;
	 nie:keyword "sunspots" ;
	 nie:keyword "microwaves" ;
	 nie:keyword "Big Bang" ;
	 nie:keyword "relativity" ;
	 nie:keyword "physics" ;
	 nie:keyword "Galileo" ;
	 nie:keyword "STEP" ;
	 nie:keyword "gravity" ;
	 nie:keyword "gravitational waves" ;
	 nie:keyword "microwave background" ;
	 nie:keyword "cosmic rays" ;
	 nie:keyword "orbiter" ;
	 nie:keyword "orbits" ;
	 nie:keyword "SOHO" ;
	 nie:keyword "heliosphere" ;
	 nie:keyword "corona" ;
	 nie:title "A Milky Way twin swept by an ultra-fast X-ray wind / Space Science / Our Activities / ESA" ;
	 


(tracker-miner-apps:1512): Tracker-WARNING **: Couldn't properly parse desktop file 'file:///usr/share/applications/kde4/kgpg.desktop': 'Couldn't load desktop file:'/usr/share/applications/kde4/kgpg.desktop''

(tracker-miner-fs:1576): GLib-CRITICAL **: g_str_has_suffix: assertion 'str != NULL' failed

(tracker-extract:1577): GLib-CRITICAL **: g_str_has_suffix: assertion 'str != NULL' failed

(tracker-extract:1577): GLib-CRITICAL **: g_str_has_suffix: assertion 'str != NULL' failed

(tracker-miner-fs:1576): GLib-CRITICAL **: g_str_has_suffix: assertion 'str != NULL' failed
Window manager warning: Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x3400001 ( - Opera)
[0124/083503:ERROR:ticl-message-validator.cc(210)] registration_digest must be non-empty
[0124/083503:ERROR:ticl-message-validator.cc(317)] field registration_summary failed validation in { protocol_version: { version: { major_version: 3 minor_version: 2  }  } client_token: "si8lLsWhaMC/JPP0bRlqIw==" registration_summary: { num_registrations: 0 registration_digest: ""  } server_time_ms: 0  }
[0124/083503:ERROR:ticl-message-validator.cc(359)] field header failed validation in { header: { protocol_version: { version: { major_version: 3 minor_version: 2  }  } client_token: "si8lLsWhaMC/JPP0bRlqIw==" registration_summary: { num_registrations: 0 registration_digest: ""  } server_time_ms: 0  }  }
[0124/083503:ERROR:protocol-handler.cc(143)] Received invalid message: { header: { protocol_version: { version: { major_version: 3 minor_version: 2  }  } client_token: "si8lLsWhaMC/JPP0bRlqIw==" registration_summary: { num_registrations: 0 registration_digest: ""  } server_time_ms: 0  }  }
Entity: line 1: parser error : Document is empty
{
^
Entity: line 1: parser error : Document is empty
{
^
Entity: line 1: parser error : Document is empty
{
^ 


Hope this is of any value to you.
Comment 3 Rex Dieter 2016-01-24 07:51:07 EST
That's the .xsession-errors from your current cinnamon session.  We need the one from your failed plasma session.
Comment 4 Sylvia Sánchez 2016-01-24 09:27:14 EST
Rex:  Where can I find the .xsession-errors from the failed Plasma session?
Comment 5 Rex Dieter 2016-01-24 09:29:54 EST
Same place, ~/.xsession-errors

(though you'll have to try logging in again... that records only the *last* login)
Comment 6 Stefan Neufeind 2016-04-18 05:13:52 EDT
After recent updates I'm also getting errors that after login "could not start ksmserver". I feel this might be related. Killing Xorg and logging in again usually helps then on second or third try.
Comment 7 Rex Dieter 2016-04-18 09:09:03 EDT
For posterity, please provide output from:

rpm -q kwin kscreenlocker plasma-workspace
Comment 8 Stefan Neufeind 2016-04-18 09:14:37 EDT
kwin-5.5.5-1.fc23.x86_64
kscreenlocker-5.5.5-2.fc23.x86_64
plasma-workspace-5.5.5-5.fc23.x86_64

Since you mention kscreenlocker: I've lately also experienced a problem where the locker kicked in and threw an error. Upon unlocking Xorg got completely killed and I was at the login-prompt again.
Comment 9 Rex Dieter 2016-04-18 09:17:23 EDT
Xorg dying is (most likely) a driver issue
Comment 10 Rex Dieter 2016-04-18 09:18:08 EDT
though I suppose ksmserver crashing could lead to similar symptoms, we have no evidence on which to support one theory over the other yet.
Comment 11 Fedora End Of Life 2016-11-24 10:07:52 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2016-12-20 13:06:09 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.